This page auto detects :

- your jave script status - must be enabled for SaferGames project !
- your browsers flash player version - we recommend updating to the latest version.
- your Screen resolution - will help you choose the correct view theme.


TEST RESULTS :
click to install flash player
(latest version)
click to install shockwave player
(latest version)